package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.DecimalFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.TaxaEmbLevante;

public class RenderTaxaEmbLevante implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		TaxaEmbLevante t = (TaxaEmbLevante) o;

		Listcell lc = new Listcell(t.getParada().getDescparada());
		lc.setParent(lstm);

		DecimalFormat fmt = new DecimalFormat("#,##00.00");

		lc = new Listcell(fmt.format(t.getImporte()) != null ? fmt.format(t.getImporte()) : "");
		lc.setParent(lstm);

		lstm.setAttribute("data", t);
	}
}
